Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGBrokenLinkProvider

    java.lang.Object
      org.apache.batik.ext.awt.image.spi.DefaultBrokenLinkProvider
          org.apache.batik.bridge.SVGBrokenLinkProvider

All Implemented Interfaces:
  BrokenLinkProvider, ErrorConstants

public class SVGBrokenLinkProvider
extends DefaultBrokenLinkProvider
implements ErrorConstants

This interface is to be used to provide alternate ways of generating a placeholder image when the ImageTagRegistry fails to handle a given reference.

Field Summary
`static java.lang.String` | `SVG_BROKEN_LINK_DOCUMENT_PROPERTY`

Fields inherited from interface org.apache.batik.bridge.ErrorConstants
`ERR_ATTRIBUTE_MISSING, ERR_ATTRIBUTE_VALUE_MALFORMED, ERR_CSS_LENGTH_NEGATIVE, ERR_CSS_URI_BAD_TARGET, ERR_LENGTH_NEGATIVE, ERR_URI_BAD_TARGET, ERR_URI_IMAGE_INVALID, ERR_URI_IO, ERR_URI_MALFORMED, ERR_URI_REFERENCE_A_DOCUMENT, ERR_URI_UNSECURE, ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES, MSG_BROKEN_LINK_TITLE`

Fields inherited from interface org.apache.batik.ext.awt.image.spi.BrokenLinkProvider
`BROKEN_LINK_PROPERTY`

Constructor Summary
`SVGBrokenLinkProvider()`

Method Summary
`SVGDocument` | `getBrokenLinkDocument(java.lang.Object base, java.lang.String code, java.lang.Object[] params)`
`SVGDocument` | `getBrokenLinkDocument(java.lang.String message)`
`Filter` | `getBrokenLinkImage(java.lang.Object base, java.lang.String code, java.lang.Object[] params)` This method is responsible for constructing an image that will represent the missing image in the document.

Methods inherited from class org.apache.batik.ext.awt.image.spi.DefaultBrokenLinkProvider
`formatMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SVG_BROKEN_LINK_DOCUMENT_PROPERTY

    public static final java.lang.String SVG_BROKEN_LINK_DOCUMENT_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### SVGBrokenLinkProvider

    public SVGBrokenLinkProvider()

Method Detail

### getBrokenLinkImage

    public Filter getBrokenLinkImage(java.lang.Object base,
                                     java.lang.String code,
                                     java.lang.Object[] params)

  This method is responsible for constructing an image that will represent the missing image in the document. This method recives information about the reason a broken link image is being requested in the `code` and `params` parameters. These parameters may be used to generate nicely localized messages for insertion into the broken link image, or for selecting the broken link image returned.

  Specified by:
    `getBrokenLinkImage` in interface `BrokenLinkProvider`
  Overrides:
    `getBrokenLinkImage` in class `DefaultBrokenLinkProvider`
  Parameters:
    `code` - This is the reason the image is unavailable should be taken from ErrorConstants.
    `params` - This is more detailed information about the circumstances of the failure.

### getBrokenLinkDocument

    public SVGDocument getBrokenLinkDocument(java.lang.Object base,
                                             java.lang.String code,
                                             java.lang.Object[] params)

### getBrokenLinkDocument

    public SVGDocument getBrokenLinkDocument(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.